org.richfaces.component

## Class UITooltip

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - org.richfaces.component.AbstractTooltip
        - - org.richfaces.component.UITooltip

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, AjaxActivatorProps, AjaxProps, CoreProps, EventsMouseProps, EventsPopupsBeforeProps, EventsPopupsProps, I18nProps, PopupsProps, PositionProps, MetaComponentEncoder, MetaComponentResolver

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UITooltip
      extends AbstractTooltip
      implements javax.faces.component.behavior.ClientBehaviorHolder, AbstractDivPanel, MetaComponentEncoder, MetaComponentResolver, AjaxProps, CoreProps, EventsMouseProps, EventsPopupsBeforeProps, EventsPopupsProps, I18nProps, PopupsProps, PositionProps

  The <rich:tooltip> component provides an informational tool-tip. The tool-tip can be attached to any control and is displayed when hovering the mouse cursor over the control.

  Author:
    amarkhel

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UITooltip.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.AbstractTooltip

      `CONTENT_META_COMPONENT_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface org.richfaces.component.MetaComponentResolver

      `META_COMPONENT_SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UITooltip()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getData()` Serialized (on default with JSON) data passed to the client by a developer on an AJAX request.
    `String` | `getDefaultEventName()`
    `String` | `getDir()` Direction indication for text that does not inherit directionality.
    `Positioning` | `getDirection()` Set the direction of the popup.
    `Collection<String>` | `getEventNames()`
    `Object` | `getExecute()` IDs of components that will participate in the "execute" portion of the Request Processing Lifecycle.
    `String` | `getFamily()`
    `int` | `getHideDelay()` Delay in milliseconds before tooltip will be hidden.
    `String` | `getHideEvent()` Event that triggers the tooltip disappearance.
    `int` | `getHorizontalOffset()` Sets the horizontal offset between pop-up list and mouse pointer.
    `Positioning` | `getJointPoint()` Set the corner attachment point with which the popup should be connected.
    `String` | `getLang()` Code describing the language used in the generated markup for this component.
    `TooltipLayout` | `getLayout()` Block/inline mode flag.
    `TooltipMode` | `getMode()` Controls the way of data loading to a tooltip.
    `String` | `getOnbeforedomupdate()` The client-side script method to be called after the ajax response comes back, but before the DOM is updated
    `String` | `getOnbeforehide()` The client-side code executed before the popup disappears.
    `String` | `getOnbeforeshow()` The client-side code executed before this component is shown.
    `String` | `getOnbegin()` The client-side script method to be called before an ajax request.
    `String` | `getOnclick()` Javascript code executed when a pointer button is clicked over this element.
    `String` | `getOncomplete()` The client-side script method to be called after the DOM is updated
    `String` | `getOndblclick()` Javascript code executed when a pointer button is double clicked over this element.
    `String` | `getOnhide()` The client-side code executed after the popup disappears.
    `String` | `getOnmousedown()` Javascript code executed when a pointer button is pressed down over this element.
    `String` | `getOnmousemove()` Javascript code executed when a pointer button is moved within this element.
    `String` | `getOnmouseout()` Javascript code executed when a pointer button is moved away from this element.
    `String` | `getOnmouseover()` Javascript code executed when a pointer button is moved onto this element.
    `String` | `getOnmouseup()` Javascript code executed when a pointer button is released over this element.
    `String` | `getOnshow()` The client-side code executed after the popup is shown.
    `Object` | `getRender()` IDs of components that will participate in the "render" portion of the Request Processing Lifecycle.
    `int` | `getShowDelay()` Delay in milliseconds before tooltip will be displayed.
    `String` | `getShowEvent()` Event that triggers the tooltip.
    `String` | `getStatus()` Name of the request status component that will indicate the status of the Ajax request
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `String` | `getTitle()` Advisory title information about markup elements generated for this component.
    `int` | `getVerticalOffset()` Sets the vertical offset between pop-up list and mouse pointer.
    `int` | `getZindex()` Attribute is similar to the standard HTML attribute and can specify window placement relative to the content.
    `boolean` | `isAttached()` If the value of the "attached" attribute is "true", a component is attached to the parent component; if "false", component does not listen to activating browser events, but could be activated externally.
    `boolean` | `isFollowMouse()` If "true" tooltip should follow the mouse while it moves over the parent element.
    `boolean` | `isLimitRender()` If "true", render only those ids specified in the "render" attribute, forgoing the render of the auto-rendered panels
    `boolean` | `isResetValues()` If true, indicate that this particular Ajax transaction is a value reset transaction.
    `void` | `setAttached(boolean attached)`
    `void` | `setData(Object data)`
    `void` | `setDir(String dir)`
    `void` | `setDirection(Positioning direction)`
    `void` | `setExecute(Object execute)`
    `void` | `setFollowMouse(boolean followMouse)`
    `void` | `setHideDelay(int hideDelay)`
    `void` | `setHideEvent(String hideEvent)`
    `void` | `setHorizontalOffset(int horizontalOffset)`
    `void` | `setJointPoint(Positioning jointPoint)`
    `void` | `setLang(String lang)`
    `void` | `setLayout(TooltipLayout layout)`
    `void` | `setLimitRender(boolean limitRender)`
    `void` | `setMode(TooltipMode mode)`
    `void` | `setOnbeforedomupdate(String onbeforedomupdate)`
    `void` | `setOnbeforehide(String onbeforehide)`
    `void` | `setOnbeforeshow(String onbeforeshow)`
    `void` | `setOnbegin(String onbegin)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOncomplete(String oncomplete)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnhide(String onhide)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setOnshow(String onshow)`
    `void` | `setRender(Object render)`
    `void` | `setResetValues(boolean resetValues)`
    `void` | `setShowDelay(int showDelay)`
    `void` | `setShowEvent(String showEvent)`
    `void` | `setStatus(String status)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTitle(String title)`
    `void` | `setVerticalOffset(int verticalOffset)`
    `void` | `setZindex(int zindex)`

    - ### Methods inherited from class org.richfaces.component.AbstractTooltip

      `encodeMetaComponent, getContentClientId, getTarget, resolveClientId, setTarget, substituteUnresolvedClientId, visitTree`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `clearInitialState, getConverter, getLocalValue, getValue, markInitialState, resetValue, restoreState, saveState, setConverter, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

    - ### Methods inherited from interface org.richfaces.component.MetaComponentEncoder

      `encodeMetaComponent`

    - ### Methods inherited from interface org.richfaces.component.MetaComponentResolver

      `resolveClientId, substituteUnresolvedClientId`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UITooltip

          public UITooltip()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `AbstractTooltip`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### isAttached

          public boolean isAttached()

      Description copied from class: `AbstractTooltip`
      If the value of the "attached" attribute is "true", a component is attached to the parent component; if "false", component does not listen to activating browser events, but could be activated externally. Default value is "true"
      Specified by:
        `isAttached` in class `AbstractTooltip`

    - #### setAttached

          public void setAttached(boolean attached)

    - #### getData

          public Object getData()

      Description copied from interface: `AjaxActivatorProps`
      Serialized (on default with JSON) data passed to the client by a developer on an AJAX request. It's accessible via "event.data" syntax. Both primitive types and complex types such as arrays and collections can be serialized and used with data
      Specified by:
        `getData` in interface `AjaxActivatorProps`

    - #### setData

          public void setData(Object data)

    - #### getDir

          public String getDir()

      Description copied from interface: `I18nProps`
      Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).
      Specified by:
        `getDir` in interface `I18nProps`

    - #### setDir

          public void setDir(String dir)

    - #### getDirection

          public Positioning getDirection()

      Description copied from interface: `PositionProps`

      Set the direction of the popup. Possible values are:
      AA (auto), LT (topLeft), RT (topRight), LB (bottomLeft), RB (bottomRight, LA (autoLeft), RA (autoRight), AT (topAuto), AB (bottomAuto)

      Default value is auto

      Specified by:
        `getDirection` in interface `PositionProps`
      Specified by:
        `getDirection` in class `AbstractTooltip`

    - #### setDirection

          public void setDirection(Positioning direction)

    - #### getExecute

          public Object getExecute()

      Description copied from interface: `AjaxProps`
      IDs of components that will participate in the "execute" portion of the Request Processing Lifecycle. Can be a single ID, a space or comma separated list of IDs, or an EL Expression evaluating to an array or Collection. Any of the keywords "@this", "@form", "@all", "@none", "@region" may be specified in the identifier list. Some components make use of additional keywords
      Specified by:
        `getExecute` in interface `AjaxProps`
      Specified by:
        `getExecute` in class `AbstractTooltip`

    - #### setExecute

          public void setExecute(Object execute)

    - #### isFollowMouse

          public boolean isFollowMouse()

      Description copied from class: `AbstractTooltip`
      If "true" tooltip should follow the mouse while it moves over the parent element. Default value is "true"
      Specified by:
        `isFollowMouse` in class `AbstractTooltip`

    - #### setFollowMouse

          public void setFollowMouse(boolean followMouse)

    - #### getHideDelay

          public int getHideDelay()

      Description copied from class: `AbstractTooltip`
      Delay in milliseconds before tooltip will be hidden. Default value is "0"
      Specified by:
        `getHideDelay` in class `AbstractTooltip`

    - #### setHideDelay

          public void setHideDelay(int hideDelay)

    - #### getHideEvent

          public String getHideEvent()

      Description copied from class: `AbstractTooltip`
      Event that triggers the tooltip disappearance. Default value is "mouseleave"
      Specified by:
        `getHideEvent` in class `AbstractTooltip`

    - #### setHideEvent

          public void setHideEvent(String hideEvent)

    - #### getHorizontalOffset

          public int getHorizontalOffset()

      Description copied from class: `AbstractTooltip`
      Sets the horizontal offset between pop-up list and mouse pointer. Default value is "10"
      Specified by:
        `getHorizontalOffset` in interface `PositionProps`
      Specified by:
        `getHorizontalOffset` in class `AbstractTooltip`

    - #### setHorizontalOffset

          public void setHorizontalOffset(int horizontalOffset)

    - #### getJointPoint

          public Positioning getJointPoint()

      Description copied from interface: `PositionProps`

      Set the corner attachment point with which the popup should be connected. Possible values are:
      AA (auto), LT (topLeft), RT (topRight), LB (bottomLeft), RB (bottomRight, LA (autoLeft), RA (autoRight), AT (topAuto), AB (bottomAuto)

      Default value is auto

      Specified by:
        `getJointPoint` in interface `PositionProps`
      Specified by:
        `getJointPoint` in class `AbstractTooltip`

    - #### setJointPoint

          public void setJointPoint(Positioning jointPoint)

    - #### getLang

          public String getLang()

      Description copied from interface: `I18nProps`
      Code describing the language used in the generated markup for this component.
      Specified by:
        `getLang` in interface `I18nProps`

    - #### setLang

          public void setLang(String lang)

    - #### getLayout

          public TooltipLayout getLayout()

      Description copied from class: `AbstractTooltip`
      Block/inline mode flag. Possible value are: "inline" or "block". Default value is "inline". Tooltip will contain div/span elements respectively.
      Specified by:
        `getLayout` in class `AbstractTooltip`

    - #### setLayout

          public void setLayout(TooltipLayout layout)

    - #### isLimitRender

          public boolean isLimitRender()

      Description copied from interface: `AjaxActivatorProps`
      If "true", render only those ids specified in the "render" attribute, forgoing the render of the auto-rendered panels
      Specified by:
        `isLimitRender` in interface `AjaxActivatorProps`

    - #### setLimitRender

          public void setLimitRender(boolean limitRender)

    - #### getMode

          public TooltipMode getMode()

      Description copied from class: `AbstractTooltip`
      Controls the way of data loading to a tooltip. May have following values: "client" (default) and "ajax"
      Specified by:
        `getMode` in class `AbstractTooltip`

    - #### setMode

          public void setMode(TooltipMode mode)

    - #### getOnbeforedomupdate

          public String getOnbeforedomupdate()

      Description copied from interface: `AjaxActivatorProps`
      The client-side script method to be called after the ajax response comes back, but before the DOM is updated
      Specified by:
        `getOnbeforedomupdate` in interface `AjaxActivatorProps`

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(String onbeforedomupdate)

    - #### getOnbeforehide

          public String getOnbeforehide()

      Description copied from interface: `EventsPopupsBeforeProps`
      The client-side code executed before the popup disappears.
      Specified by:
        `getOnbeforehide` in interface `EventsPopupsBeforeProps`

    - #### setOnbeforehide

          public void setOnbeforehide(String onbeforehide)

    - #### getOnbeforeshow

          public String getOnbeforeshow()

      Description copied from interface: `EventsPopupsBeforeProps`
      The client-side code executed before this component is shown.
      Specified by:
        `getOnbeforeshow` in interface `EventsPopupsBeforeProps`

    - #### setOnbeforeshow

          public void setOnbeforeshow(String onbeforeshow)

    - #### getOnbegin

          public String getOnbegin()

      Description copied from interface: `AjaxProps`
      The client-side script method to be called before an ajax request.
      Specified by:
        `getOnbegin` in interface `AjaxProps`

    - #### setOnbegin

          public void setOnbegin(String onbegin)

    - #### getOnclick

          public String getOnclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is clicked over this element.
      Specified by:
        `getOnclick` in interface `EventsMouseProps`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOncomplete

          public String getOncomplete()

      Description copied from interface: `AjaxActivatorProps`
      The client-side script method to be called after the DOM is updated
      Specified by:
        `getOncomplete` in interface `AjaxActivatorProps`

    - #### setOncomplete

          public void setOncomplete(String oncomplete)

    - #### getOndblclick

          public String getOndblclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is double clicked over this element.
      Specified by:
        `getOndblclick` in interface `EventsMouseProps`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnhide

          public String getOnhide()

      Description copied from interface: `EventsPopupsProps`
      The client-side code executed after the popup disappears.
      Specified by:
        `getOnhide` in interface `EventsPopupsProps`

    - #### setOnhide

          public void setOnhide(String onhide)

    - #### getOnmousedown

          public String getOnmousedown()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is pressed down over this element.
      Specified by:
        `getOnmousedown` in interface `EventsMouseProps`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved within this element.
      Specified by:
        `getOnmousemove` in interface `EventsMouseProps`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved away from this element.
      Specified by:
        `getOnmouseout` in interface `EventsMouseProps`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved onto this element.
      Specified by:
        `getOnmouseover` in interface `EventsMouseProps`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is released over this element.
      Specified by:
        `getOnmouseup` in interface `EventsMouseProps`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getOnshow

          public String getOnshow()

      Description copied from interface: `EventsPopupsProps`
      The client-side code executed after the popup is shown.
      Specified by:
        `getOnshow` in interface `EventsPopupsProps`

    - #### setOnshow

          public void setOnshow(String onshow)

    - #### getRender

          public Object getRender()

      Description copied from interface: `AjaxActivatorProps`
      IDs of components that will participate in the "render" portion of the Request Processing Lifecycle. Can be a single ID, a space or comma separated list of Id's, or an EL Expression evaluating to an array or Collection. Any of the keywords "@this", "@form", "@all", "@none", "@region" may be specified in the identifier list. Some components make use of additional keywords
      Specified by:
        `getRender` in interface `AjaxActivatorProps`

    - #### setRender

          public void setRender(Object render)

    - #### isResetValues

          public boolean isResetValues()

      Description copied from interface: `AjaxActivatorProps`
      If true, indicate that this particular Ajax transaction is a value reset transaction. This will cause resetValue() to be called on any EditableValueHolder instances encountered as a result of this ajax transaction. If not specified, or the value is false, no such indication is made.
      Specified by:
        `isResetValues` in interface `AjaxActivatorProps`

    - #### setResetValues

          public void setResetValues(boolean resetValues)

    - #### getShowDelay

          public int getShowDelay()

      Description copied from class: `AbstractTooltip`
      Delay in milliseconds before tooltip will be displayed. Default value is "0"
      Specified by:
        `getShowDelay` in class `AbstractTooltip`

    - #### setShowDelay

          public void setShowDelay(int showDelay)

    - #### getShowEvent

          public String getShowEvent()

      Description copied from class: `AbstractTooltip`
      Event that triggers the tooltip. Default value is "mouseenter"
      Specified by:
        `getShowEvent` in class `AbstractTooltip`

    - #### setShowEvent

          public void setShowEvent(String showEvent)

    - #### getStatus

          public String getStatus()

      Description copied from interface: `AjaxProps`
      Name of the request status component that will indicate the status of the Ajax request
      Specified by:
        `getStatus` in interface `AjaxProps`

    - #### setStatus

          public void setStatus(String status)

    - #### getStyle

          public String getStyle()

      Description copied from interface: `CoreProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `CoreProps`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `CoreProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `CoreProps`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTitle

          public String getTitle()

      Description copied from interface: `CoreProps`
      Advisory title information about markup elements generated for this component.
      Specified by:
        `getTitle` in interface `CoreProps`

    - #### setTitle

          public void setTitle(String title)

    - #### getVerticalOffset

          public int getVerticalOffset()

      Description copied from class: `AbstractTooltip`
      Sets the vertical offset between pop-up list and mouse pointer. Default value is "10"
      Specified by:
        `getVerticalOffset` in interface `PositionProps`
      Specified by:
        `getVerticalOffset` in class `AbstractTooltip`

    - #### setVerticalOffset

          public void setVerticalOffset(int verticalOffset)

    - #### getZindex

          public int getZindex()

      Description copied from interface: `PopupsProps`
      Attribute is similar to the standard HTML attribute and can specify window placement relative to the content. Default value is "3".
      Specified by:
        `getZindex` in interface `PopupsProps`

    - #### setZindex

          public void setZindex(int zindex)

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.